
package de.ivu.elect.business.gebietsbaum.control;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.boundary.NlWasWahlberechtigteGesamtErfassen;
import de.ivu.elect.business.wahl.entity.Wahl;

@Specializes
public class NlWasAWerteAktualisiererFactory extends AWerteAktualisiererFactory {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasWahlberechtigteGesamtErfassen nlWasWahlberechtigteGesamtErfassen;

  public NlWasAWerteAktualisiererFactory() {
    super();
  }

  @Override
  public AWerteAktualisierer createAWerteAktualisierer(Wahl wahl) {
    if (nlWasWahlberechtigteGesamtErfassen.isAnzahlenWahlberechtigteErfassen(wahl)) { // ELECTVAPP-1983
      return new NoopAWerteAktualisierer();
    }

    return super.createAWerteAktualisierer(wahl);
  }
}
